import React from 'react';
import PropTypes from 'prop-types';
import Input from 'reactstrap/lib/Input';
import './input-with-icon.scss';

export function InputWithIcon({ icon, ...rest }) {
  return (
    <div className="input-with-icon position-relative">
      <Input {...rest} />
      <span className="d-flex input-icon position-absolute">{icon}</span>
    </div>
  );
}

InputWithIcon.propTypes = {
  icon: PropTypes.node.isRequired,
};
